curl --request POST \ --url https://api.zerogpu.ai/v1/moderations \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data '{ "model": "llama-guard-4-12b", "input": "I am so angry at this person that I want to hurt them. They are worthless and should be scared of what I might do next."}'
import requests
url = "https://api.zerogpu.ai/v1/moderations"
payload = {
"model": "llama-guard-4-12b",
"input": "I am so angry at this person that I want to hurt them. They are worthless and should be scared of what I might do next."
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'llama-guard-4-12b',
input: 'I am so angry at this person that I want to hurt them. They are worthless and should be scared of what I might do next.'
})
};
fetch('https://api.zerogpu.ai/v1/moderations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
false
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zerogpu.ai/v1/moderations"
payload := strings.NewReader("{\n \"model\": \"llama-guard-4-12b\",\n \"input\": \"I am so angry at this person that I want to hurt them. They are worthless and should be scared of what I might do next.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
require 'uri'
require 'net/http'
url = URI("https://api.zerogpu.ai/v1/moderations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"llama-guard-4-12b\",\n \"input\": \"I am so angry at this person that I want to hurt them. They are worthless and should be scared of what I might do next.\"\n}"
response = http.request(request)
puts response.read_body
Model details for llama-guard-4-12b. Multimodal safety classification for prompts and responses.
POST
/
moderations
llama-guard-4-12b: Moderations
curl --request POST \ --url https://api.zerogpu.ai/v1/moderations \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data '{ "model": "llama-guard-4-12b", "input": "I am so angry at this person that I want to hurt them. They are worthless and should be scared of what I might do next."}'
import requests
url = "https://api.zerogpu.ai/v1/moderations"
payload = {
"model": "llama-guard-4-12b",
"input": "I am so angry at this person that I want to hurt them. They are worthless and should be scared of what I might do next."
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'llama-guard-4-12b',
input: 'I am so angry at this person that I want to hurt them. They are worthless and should be scared of what I might do next.'
})
};
fetch('https://api.zerogpu.ai/v1/moderations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
false
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zerogpu.ai/v1/moderations"
payload := strings.NewReader("{\n \"model\": \"llama-guard-4-12b\",\n \"input\": \"I am so angry at this person that I want to hurt them. They are worthless and should be scared of what I might do next.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
require 'uri'
require 'net/http'
url = URI("https://api.zerogpu.ai/v1/moderations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"llama-guard-4-12b\",\n \"input\": \"I am so angry at this person that I want to hurt them. They are worthless and should be scared of what I might do next.\"\n}"
response = http.request(request)
puts response.read_body
Meta’s Llama Guard 4 12B is a multimodal safety classification model for moderating text, images, and mixed text-image inputs. It evaluates both incoming prompts and generated responses, returning a safe or unsafe classification along with the policy categories a violation falls under. It handles multilingual text and multiple images in one call, which makes it a fit for chat moderation, prompt and response filtering, policy enforcement, and agent guardrails. Built on a dense 12B architecture derived from Llama 4 Scout, it is designed as a dedicated safety layer in front of a production model rather than as a general-purpose generator.
Text to classify. Accepts a single string, an array of strings (one result per element), or an array of content parts ({ "type": "text", "text": "..." }) that form a single multi-modal input.
Required string length: 1 - 131072
Response
Success
OpenAI-compatible moderations envelope. One results entry per input.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"ZeroGPU","description":"ZeroGPU is the compute efficiency layer for AI inference. It runs repeatable, high-volume tasks - classification, extraction, PII redaction, moderation, summarization, routing - on specialized small and nano language models across an edge-powered network, faster and cheaper than centralized GPUs, through one OpenAI-compatible API.","colors":{"primary":"#22C55E","light":"#4ADE80","dark":"#16A34A"},"logo":{"light":"https://mintcdn.com/zerogpu/Gm1fjnUZg6Fa99hP/assets/zerogpu-docs-logo-light.png?fit=max\u0026auto=format\u0026n=Gm1fjnUZg6Fa99hP\u0026q=85\u0026s=78a4ce11cf0b3f707ad7bc829b979475","dark":"https://mintcdn.com/zerogpu/Gm1fjnUZg6Fa99hP/assets/zerogpu-docs-logo-dark.png?fit=max\u0026auto=format\u0026n=Gm1fjnUZg6Fa99hP\u0026q=85\u0026s=a6a992f683e8774df0ea4da0324d659d"},"favicon":"https://mintcdn.com/zerogpu/Gm1fjnUZg6Fa99hP/assets/favicon.ico?fit=max\u0026auto=format\u0026n=Gm1fjnUZg6Fa99hP\u0026q=85\u0026s=492a04e82780c7c9df438a85e80701f1","api":{"params":{"expanded":"all"},"playground":{"display":"interactive","proxy":false},"examples":{"defaults":"required","languages":["curl","python","javascript","rust","go","ruby"],"prefill":true,"autogenerate":true},"mdx":{"server":"https://api.zerogpu.ai/v1"}},"appearance":{"default":"dark","strict":true},"navbar":{"links":[{"icon":"globe","href":"https://zerogpu.ai","label":""},{"icon":"github","href":"https://github.com/zerogpu","label":""},{"icon":"discord","href":"https://discord.gg/58XZuxKyq6","label":""},{"icon":"x-twitter","href":"https://x.com/ZeroGPU_AI","label":""}],"primary":{"type":"button","label":"Platform","href":"https://platform.zerogpu.ai/"}},"footer":{"socials":{"website":"https://zerogpu.ai","github":"https://github.com/zerogpu"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Website","icon":"globe","href":"https://zerogpu.ai"},{"anchor":"Platform","icon":"rocket","href":"https://platform.zerogpu.ai/"},{"anchor":"llms.txt","icon":"sparkles","href":"https://docs.zerogpu.ai/llms.txt"},{"anchor":"llms-full.txt","icon":"brain","href":"https://docs.zerogpu.ai/llms-full.txt"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"zerogpu","hasAudioNarration":false,"actualSubdomain":"zerogpu","customDomains":["docs.zerogpu.ai"],"gitSource":{"type":"github","owner":"zerogpu","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeb5441ce6eb231cef7da8b","collectionId":"f2885ed0-561f-43a6-a4fd-35f46c90838f","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeb5441ce6eb231cef7da8b"},"entitlements":{"AI_CHAT":{"status":"ENABLED"}},"buildId":"6aeb5441ce6eb231cef7da8b","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"API Reference","count":51},{"language":"default","tag":"Endpoints","count":33},{"language":"default","tag":"By model","count":28},{"language":"default","tag":"Integrations","count":25},{"language":"default","tag":"Documentation","count":24},{"language":"default","tag":"Cookbook","count":12},{"language":"default","tag":"Batch API","count":9},{"language":"default","tag":"Integrations \u0026 plugins","count":8},{"language":"default","tag":"Models","count":8},{"language":"default","tag":"ZeroClick","count":7}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/models/llama-guard-4-12b","slug":"/api-reference/models/llama-guard-4-12b","pageMetadata":{"title":"llama-guard-4-12b","sidebarTitle":"llama-guard-4-12b","description":"Model details for llama-guard-4-12b. Multimodal safety classification for prompts and responses.","openapi":"api-reference/openapi/playgrounds/llama-guard-4-12b.openapi.json POST /moderations","href":"/api-reference/models/llama-guard-4-12b"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Model details for llama-guard-4-12b. Multimodal safety classification for prompts and responses.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,blockquote:`blockquote`,p:`p`,strong:`strong`,..._provideComponents(),...props.components};return _jsxs(_Fragment,{children:[_jsxs(_components.blockquote,{children:[`\n`,_jsx(_components.p,{children:`Meta’s Llama Guard 4 12B is a multimodal safety classification model for moderating text, images, and mixed text-image inputs. It evaluates both incoming prompts and generated responses, returning a safe or unsafe classification along with the policy categories a violation falls under. It handles multilingual text and multiple images in one call, which makes it a fit for chat moderation, prompt and response filtering, policy enforcement, and agent guardrails. Built on a dense 12B architecture derived from Llama 4 Scout, it is designed as a dedicated safety layer in front of a production model rather than as a general-purpose generator.`}),`\n`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`References:`}),` `,_jsx(_components.a,{href:`https://huggingface.co/meta-llama/Llama-Guard-4-12B`,children:`Model docs`}),` • `,_jsx(_components.a,{href:`https://huggingface.co/meta-llama/Llama-Guard-4-12B`,children:`Terms`}),` • `,_jsx(_components.a,{href:`https://huggingface.co/meta-llama/Llama-Guard-4-12B`,children:`Privacy`})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"llama-guard-4-12b","sidebarTitle":"llama-guard-4-12b","description":"Model details for llama-guard-4-12b. Multimodal safety classification for prompts and responses.","openapi":"api-reference/openapi/playgrounds/llama-guard-4-12b.openapi.json POST /moderations","href":"/api-reference/models/llama-guard-4-12b"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"createModeration_llama-guard-4-12b","summary":"llama-guard-4-12b: Moderations","tags":["llama-guard-4-12b"],"requestBody":"296a156b-ce7a-461f-a0ab-876a222baf08","responses":{"200":"7782eaf8-3a5b-4d73-918f-def1053ba518","400":"244a0158-39cb-40fb-a76b-de97fdd2681b","401":"bc2b4adf-4ecc-41fd-bcb5-8f241483beae","403":"f94f1123-5026-41d6-92d7-0272d264f4fc","420":"3429c164-1894-4f72-860c-199c00d71ab4","500":"fc90a699-aaf1-445a-b5ed-647e8111298a"},"parameters":["68698136-c09b-407a-9a49-1aba0d0cd542"],"method":"post","type":"path","servers":["00b9fc3d-e5fc-418d-a742-b7444d21dd0f"],"security":["bb2dcc8d-3c6f-4f3f-9ae4-92043ae45b7d","ed7f8d6e-1685-45ca-a44b-fdcb1f26f2e9"],"path":"/moderations","baseUrlOptions":["https://api.zerogpu.ai/v1"],"title":"llama-guard-4-12b: Moderations","description":"Model details for llama-guard-4-12b. Multimodal safety classification for prompts and responses.","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","rust","go","ruby"],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.model":"llama-guard-4-12b","body.input.oneOf.0":"I am so angry at this person that I want to hurt them. They are worthless and should be scared of what I might do next."}],"disableProxy":true},"dependencies":{"parameters":{"68698136-c09b-407a-9a49-1aba0d0cd542":{"name":"x-project-id","in":"header","required":false,"schema":{"type":"string","isRequired":false,"description":"Optional project identifier. Scopes the request to a specific project when provided.","uniqueKey":"","typeLabel":"string"},"description":"Optional project identifier. Scopes the request to a specific project when provided."}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["model","input"],"properties":{"model":{"type":"string","description":"Model identifier (fixed for this playground).","default":"llama-guard-4-12b","const":"llama-guard-4-12b","example":"llama-guard-4-12b","isRequired":true,"uniqueKey":"model","typeLabel":"string"},"input":{"oneOf":[{"type":"string","description":"Text to classify. Accepts a single string, an array of strings (one result per element), or an array of content parts (`{ \"type\": \"text\", \"text\": \"...\" }`) that form a single multi-modal input.","format":"textarea","maxLength":131072,"minLength":1,"isRequired":true,"uniqueKey":"input.oneOf.0","typeLabel":"string\u003ctextarea>"},{"type":"array","items":{"type":"string","minLength":1,"maxLength":131072,"uniqueKey":"input.oneOf.1.items.[INDEX]","typeLabel":"string"},"description":"Text to classify. Accepts a single string, an array of strings (one result per element), or an array of content parts (`{ \"type\": \"text\", \"text\": \"...\" }`) that form a single multi-modal input.","minItems":1,"isRequired":true,"uniqueKey":"input.oneOf.1","typeLabel":"string[]"},{"type":"array","items":{"type":"object","required":["type","text"],"properties":{"type":{"type":"string","const":"text","default":"text","isRequired":true,"uniqueKey":"input.oneOf.2.items.[INDEX].type","typeLabel":"string"},"text":{"type":"string","minLength":1,"format":"textarea","maxLength":131072,"description":"Text content of this part.","isRequired":true,"uniqueKey":"input.oneOf.2.items.[INDEX].text","typeLabel":"string\u003ctextarea>"}},"uniqueKey":"input.oneOf.2.items.[INDEX]","typeLabel":"object"},"description":"Text to classify. Accepts a single string, an array of strings (one result per element), or an array of content parts (`{ \"type\": \"text\", \"text\": \"...\" }`) that form a single multi-modal input.","minItems":1,"isRequired":true,"uniqueKey":"input.oneOf.2","typeLabel":"object[]"}],"isRequired":true,"uniqueKey":"input","typeLabel":"string\u003ctextarea> | string[] | object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"default":{"title":"default","value":{"model":"llama-guard-4-12b","input":"I am so angry at this person that I want to hurt them. They are worthless and should be scared of what I might do next."}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"7782eaf8-3a5b-4d73-918f-def1053ba518":{"description":"Success","content":{"application/json":{"schema":{"type":"object","description":"OpenAI-compatible moderations envelope. One `results` entry per input.","properties":{"id":{"type":"string","description":"Unique identifier for the moderation request.","example":"modr-0a1b2c3d4e5f60718293a4b5c6d7e8f90","uniqueKey":"id","typeLabel":"string"},"model":{"type":"string","description":"The model used for classification.","example":"llama-guard-4-12b","uniqueKey":"model","typeLabel":"string"},"results":{"type":"array","description":"Moderation verdicts, one per input (a string input yields a single-element array).","items":{"type":"object","description":"A single entry of the `results` array — the verdict for one input.","properties":{"flagged":{"type":"boolean","description":"True when the model flagged the input in one or more categories.","example":true,"uniqueKey":"results.items.[INDEX].flagged","typeLabel":"boolean"},"categories":{"type":"object","description":"Per-category boolean verdicts. All 13 categories are always present, in OpenAI's order.","properties":{"harassment":{"type":"boolean","description":"Content that expresses, incites, or promotes harassing language towards any target.","example":true,"uniqueKey":"results.items.[INDEX].categories.harassment","typeLabel":"boolean"},"harassment/threatening":{"type":"boolean","description":"Harassment that also includes violence or serious harm towards any target.","example":true,"uniqueKey":"results.items.[INDEX].categories.harassment/threatening","typeLabel":"boolean"},"hate":{"type":"boolean","description":"Content that expresses, incites, or promotes hate based on a protected attribute.","example":false,"uniqueKey":"results.items.[INDEX].categories.hate","typeLabel":"boolean"},"hate/threatening":{"type":"boolean","description":"Hateful content that also includes violence or serious harm towards a protected group.","example":false,"uniqueKey":"results.items.[INDEX].categories.hate/threatening","typeLabel":"boolean"},"illicit":{"type":"boolean","description":"Content that gives advice or instruction on how to commit a wrongdoing.","example":false,"uniqueKey":"results.items.[INDEX].categories.illicit","typeLabel":"boolean"},"illicit/violent":{"type":"boolean","description":"Illicit content that also references violence or procuring a weapon.","example":false,"uniqueKey":"results.items.[INDEX].categories.illicit/violent","typeLabel":"boolean"},"self-harm":{"type":"boolean","description":"Content that promotes, encourages, or depicts acts of self-harm.","example":false,"uniqueKey":"results.items.[INDEX].categories.self-harm","typeLabel":"boolean"},"self-harm/intent":{"type":"boolean","description":"Content where the speaker expresses that they are engaging or intend to engage in self-harm.","example":false,"uniqueKey":"results.items.[INDEX].categories.self-harm/intent","typeLabel":"boolean"},"self-harm/instructions":{"type":"boolean","description":"Content that provides instructions or advice on how to commit acts of self-harm.","example":false,"uniqueKey":"results.items.[INDEX].categories.self-harm/instructions","typeLabel":"boolean"},"sexual":{"type":"boolean","description":"Content meant to arouse sexual excitement or that promotes sexual services.","example":false,"uniqueKey":"results.items.[INDEX].categories.sexual","typeLabel":"boolean"},"sexual/minors":{"type":"boolean","description":"Sexual content that includes an individual under 18 years old.","example":false,"uniqueKey":"results.items.[INDEX].categories.sexual/minors","typeLabel":"boolean"},"violence":{"type":"boolean","description":"Content that depicts death, violence, or physical injury.","example":true,"uniqueKey":"results.items.[INDEX].categories.violence","typeLabel":"boolean"},"violence/graphic":{"type":"boolean","description":"Content that depicts death, violence, or physical injury in graphic detail.","example":false,"uniqueKey":"results.items.[INDEX].categories.violence/graphic","typeLabel":"boolean"}},"uniqueKey":"results.items.[INDEX].categories","typeLabel":"object"},"category_scores":{"type":"object","description":"Per-category confidence scores in [0, 1]. All 13 categories are always present, in OpenAI's order.","properties":{"harassment":{"type":"number","description":"Confidence score for `harassment`.","example":0.9412,"uniqueKey":"results.items.[INDEX].category_scores.harassment","typeLabel":"number"},"harassment/threatening":{"type":"number","description":"Confidence score for `harassment/threatening`.","example":0.9016,"uniqueKey":"results.items.[INDEX].category_scores.harassment/threatening","typeLabel":"number"},"hate":{"type":"number","description":"Confidence score for `hate`.","example":0.0231,"uniqueKey":"results.items.[INDEX].category_scores.hate","typeLabel":"number"},"hate/threatening":{"type":"number","description":"Confidence score for `hate/threatening`.","example":0.0104,"uniqueKey":"results.items.[INDEX].category_scores.hate/threatening","typeLabel":"number"},"illicit":{"type":"number","description":"Confidence score for `illicit`.","example":0.0057,"uniqueKey":"results.items.[INDEX].category_scores.illicit","typeLabel":"number"},"illicit/violent":{"type":"number","description":"Confidence score for `illicit/violent`.","example":0.0039,"uniqueKey":"results.items.[INDEX].category_scores.illicit/violent","typeLabel":"number"},"self-harm":{"type":"number","description":"Confidence score for `self-harm`.","example":0.0021,"uniqueKey":"results.items.[INDEX].category_scores.self-harm","typeLabel":"number"},"self-harm/intent":{"type":"number","description":"Confidence score for `self-harm/intent`.","example":0.0012,"uniqueKey":"results.items.[INDEX].category_scores.self-harm/intent","typeLabel":"number"},"self-harm/instructions":{"type":"number","description":"Confidence score for `self-harm/instructions`.","example":0.0008,"uniqueKey":"results.items.[INDEX].category_scores.self-harm/instructions","typeLabel":"number"},"sexual":{"type":"number","description":"Confidence score for `sexual`.","example":0.0006,"uniqueKey":"results.items.[INDEX].category_scores.sexual","typeLabel":"number"},"sexual/minors":{"type":"number","description":"Confidence score for `sexual/minors`.","example":0.0002,"uniqueKey":"results.items.[INDEX].category_scores.sexual/minors","typeLabel":"number"},"violence":{"type":"number","description":"Confidence score for `violence`.","example":0.8774,"uniqueKey":"results.items.[INDEX].category_scores.violence","typeLabel":"number"},"violence/graphic":{"type":"number","description":"Confidence score for `violence/graphic`.","example":0.0311,"uniqueKey":"results.items.[INDEX].category_scores.violence/graphic","typeLabel":"number"}},"uniqueKey":"results.items.[INDEX].category_scores","typeLabel":"object"},"category_applied_input_types":{"type":"object","description":"Which input modality triggered each category. This is a text-only model, so every category maps to [\"text\"].","properties":{"harassment":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.harassment.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.harassment","typeLabel":"string[]"},"harassment/threatening":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.harassment/threatening.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.harassment/threatening","typeLabel":"string[]"},"hate":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.hate.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.hate","typeLabel":"string[]"},"hate/threatening":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.hate/threatening.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.hate/threatening","typeLabel":"string[]"},"illicit":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.illicit.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.illicit","typeLabel":"string[]"},"illicit/violent":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.illicit/violent.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.illicit/violent","typeLabel":"string[]"},"self-harm":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.self-harm.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.self-harm","typeLabel":"string[]"},"self-harm/intent":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.self-harm/intent.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.self-harm/intent","typeLabel":"string[]"},"self-harm/instructions":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.self-harm/instructions.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.self-harm/instructions","typeLabel":"string[]"},"sexual":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.sexual.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.sexual","typeLabel":"string[]"},"sexual/minors":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.sexual/minors.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.sexual/minors","typeLabel":"string[]"},"violence":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.violence.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.violence","typeLabel":"string[]"},"violence/graphic":{"type":"array","items":{"type":"string","uniqueKey":"results.items.[INDEX].category_applied_input_types.violence/graphic.items.[INDEX]","typeLabel":"string"},"example":["text"],"uniqueKey":"results.items.[INDEX].category_applied_input_types.violence/graphic","typeLabel":"string[]"}},"uniqueKey":"results.items.[INDEX].category_applied_input_types","typeLabel":"object"}},"uniqueKey":"results.items.[INDEX]","typeLabel":"object"},"uniqueKey":"results","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"modr-0a1b2c3d4e5f60718293a4b5c6d7e8f90","model":"llama-guard-4-12b","results":[{"flagged":true,"categories":{"harassment":true,"harassment/threatening":true,"hate":false,"hate/threatening":false,"illicit":false,"illicit/violent":false,"self-harm":false,"self-harm/intent":false,"self-harm/instructions":false,"sexual":false,"sexual/minors":false,"violence":true,"violence/graphic":false},"category_scores":{"harassment":0.9412,"harassment/threatening":0.9016,"hate":0.0231,"hate/threatening":0.0104,"illicit":0.0057,"illicit/violent":0.0039,"self-harm":0.0021,"self-harm/intent":0.0012,"self-harm/instructions":0.0008,"sexual":0.0006,"sexual/minors":0.0002,"violence":0.8774,"violence/graphic":0.0311},"category_applied_input_types":{"harassment":["text"],"harassment/threatening":["text"],"hate":["text"],"hate/threatening":["text"],"illicit":["text"],"illicit/violent":["text"],"self-harm":["text"],"self-harm/intent":["text"],"self-harm/instructions":["text"],"sexual":["text"],"sexual/minors":["text"],"violence":["text"],"violence/graphic":["text"]}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"244a0158-39cb-40fb-a76b-de97fdd2681b":{"description":"Bad request","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"bc2b4adf-4ecc-41fd-bcb5-8f241483beae":{"description":"Unauthorized","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"f94f1123-5026-41d6-92d7-0272d264f4fc":{"description":"Forbidden","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"3429c164-1894-4f72-860c-199c00d71ab4":{"description":"Insufficient quota","content":{"application/json":{"schema":{"type":"object","additionalProperties":true,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{}}},"exampleType":"generated"}},"exampleType":"generated"},"fc90a699-aaf1-445a-b5ed-647e8111298a":{"description":"Internal server error","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"bb2dcc8d-3c6f-4f3f-9ae4-92043ae45b7d":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"ApiKey"}},"ed7f8d6e-1685-45ca-a44b-fdcb1f26f2e9":{"BearerAuth":{"type":"http","scheme":"bearer","description":"OpenAI-compatible: send your ZeroGPU API key as `Authorization: Bearer \u003ckey>`.","scopes":[],"schemeName":"BearerAuth"}}},"servers":{"00b9fc3d-e5fc-418d-a742-b7444d21dd0f":{"url":"https://api.zerogpu.ai/v1","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-api-key","scopes":[],"schemeName":"ApiKey"},"schema":{"title":"x-api-key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKey","name":"x-api-key"}],"title":"ApiKey"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"OpenAI-compatible: send your ZeroGPU API key as `Authorization: Bearer \u003ckey>`.","scopes":[],"schemeName":"BearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"OpenAI-compatible: send your ZeroGPU API key as `Authorization: Bearer \u003ckey>`.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"BearerAuth","name":"Authorization"}],"title":"BearerAuth"}]},"originalFileLocation":"api-reference/openapi/playgrounds/llama-guard-4-12b.openapi.json"},"subdomain":"zerogpu","siteName":"ZeroGPU","title":"llama-guard-4-12b - ZeroGPU","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-16T03:40:18.852Z","originalFileLocation":"api-reference/models/llama-guard-4-12b.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=\"dark\";if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Model details for llama-guard-4-12b. Multimodal safety classification for prompts and responses.\">\u003cmeta data-mint-head name=\"application-name\" content=\"ZeroGPU\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zerogpu/4ZkKhiBJBB1TJuhq/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/zerogpu/4ZkKhiBJBB1TJuhq/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zerogpu/4ZkKhiBJBB1TJuhq/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zerogpu/4ZkKhiBJBB1TJuhq/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zerogpu/4ZkKhiBJBB1TJuhq/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zerogpu/4ZkKhiBJBB1TJuhq/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zerogpu/4ZkKhiBJBB1TJuhq/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zerogpu/4ZkKhiBJBB1TJuhq/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zerogpu/4ZkKhiBJBB1TJuhq/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"llama-guard-4-12b - ZeroGPU\">\u003cmeta data-mint-head property=\"og:description\" content=\"Model details for llama-guard-4-12b. Multimodal safety classification for prompts and responses.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"ZeroGPU\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.zerogpu.ai/api-reference/models/llama-guard-4-12b\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://zerogpu.mintlify.site/_mintlify/api/og/v2?division=By+model\u0026amp;title=llama-guard-4-12b\u0026amp;description=Model+details+for+llama-guard-4-12b.+Multimodal+safety+classification+for+prompts+and+responses.\u0026amp;theme=4bb2a44d33d1fb82851ea699\u0026amp;signature=fcaa108cdd37ae7fbabd49f0d25682ad9372bee5a23a3cbd289422005a1e6f50\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"llama-guard-4-12b - ZeroGPU\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Model details for llama-guard-4-12b. Multimodal safety classification for prompts and responses.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://zerogpu.mintlify.site/_mintlify/api/og/v2?division=By+model\u0026amp;title=llama-guard-4-12b\u0026amp;description=Model+details+for+llama-guard-4-12b.+Multimodal+safety+classification+for+prompts+and+responses.\u0026amp;theme=4bb2a44d33d1fb82851ea699\u0026amp;signature=fcaa108cdd37ae7fbabd49f0d25682ad9372bee5a23a3cbd289422005a1e6f50\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/zerogpu/4ZkKhiBJBB1TJuhq/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"ZeroGPU\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#22C55E\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.zerogpu.ai/api-reference/models/llama-guard-4-12b\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/models/llama-guard-4-12b.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.zerogpu.ai/#organization\",\"name\":\"ZeroGPU\",\"url\":\"https://docs.zerogpu.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/zerogpu/Gm1fjnUZg6Fa99hP/assets/zerogpu-docs-logo-light.png?fit=max\u0026auto=format\u0026n=Gm1fjnUZg6Fa99hP\u0026q=85\u0026s=78a4ce11cf0b3f707ad7bc829b979475\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.zerogpu.ai#website\",\"name\":\"ZeroGPU\",\"url\":\"https://docs.zerogpu.ai\",\"publisher\":{\"@id\":\"https://docs.zerogpu.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.zerogpu.ai/api-reference/models/llama-guard-4-12b#webpage\",\"url\":\"https://docs.zerogpu.ai/api-reference/models/llama-guard-4-12b\",\"name\":\"llama-guard-4-12b\",\"description\":\"Model details for llama-guard-4-12b. Multimodal safety classification for prompts and responses.\",\"dateModified\":\"2026-09-16T03:40:18.852Z\",\"isPartOf\":{\"@id\":\"https://docs.zerogpu.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.zerogpu.ai/api-reference/models/llama-guard-4-12b#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.zerogpu.ai/api-reference/models/llama-guard-4-12b#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://docs.zerogpu.ai/api-reference/responses\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"By model\",\"item\":\"https://docs.zerogpu.ai/api-reference/models/gpt-oss-120b\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"llama-guard-4-12b\",\"item\":\"https://docs.zerogpu.ai/api-reference/models/llama-guard-4-12b\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.zerogpu.ai/api-reference/models/llama-guard-4-12b#apireference\",\"headline\":\"llama-guard-4-12b\",\"name\":\"llama-guard-4-12b\",\"description\":\"Model details for llama-guard-4-12b. Multimodal safety classification for prompts and responses.\",\"url\":\"https://docs.zerogpu.ai/api-reference/models/llama-guard-4-12b\",\"mainEntityOfPage\":{\"@id\":\"https://docs.zerogpu.ai/api-reference/models/llama-guard-4-12b#webpage\"},\"dateModified\":\"2026-09-16T03:40:18.852Z\",\"publisher\":{\"@id\":\"https://docs.zerogpu.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.zerogpu.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"ZeroGPU\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"ZeroGPU","nav":{"global":{"anchors":[{"anchor":"Website","icon":"globe","href":"https://zerogpu.ai"},{"anchor":"Platform","icon":"rocket","href":"https://platform.zerogpu.ai/"},{"anchor":"llms.txt","icon":"sparkles","href":"https://docs.zerogpu.ai/llms.txt"},{"anchor":"llms-full.txt","icon":"brain","href":"https://docs.zerogpu.ai/llms-full.txt"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":""}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/integrations"}]},{"tab":"API Reference","groups":[{"group":"Endpoints","pages":[{"title":"Responses","openapi":"api-reference/openapi/zerogpu.openapi.json POST /responses","href":"/api-reference/responses"},{"title":"Chat completions","sidebarTitle":"Chat completions","openapi":"api-reference/openapi/zerogpu.openapi.json POST /chat/completions","href":"/api-reference/chat-completions"},{"title":"Moderations","sidebarTitle":"Moderations","openapi":"api-reference/openapi/zerogpu.openapi.json POST /moderations","href":"/api-reference/moderations"},{"title":"System One","sidebarTitle":"System One","openapi":"api-reference/openapi/zerogpu.openapi.json POST /systemone","href":"/api-reference/systemone"},{"title":"Embeddings","sidebarTitle":"Embeddings","openapi":"api-reference/openapi/zerogpu.openapi.json POST /embeddings","href":"/api-reference/embeddings"},{"group":"By model","pages":[{"title":"gpt-oss-120b","sidebarTitle":"gpt-oss-120b","openapi":"api-reference/openapi/playgrounds/gpt-oss-120b.openapi.json POST /responses","href":"/api-reference/models/gpt-oss-120b"},{"title":"qwen3-30b-a3b-fp8","sidebarTitle":"qwen3-30b-a3b-fp8","openapi":"api-reference/openapi/playgrounds/qwen3-30b-a3b-fp8.openapi.json POST /chat/completions","href":"/api-reference/models/qwen3-30b-a3b-fp8"},{"title":"qwen3.6-35b-a3b","sidebarTitle":"qwen3.6-35b-a3b","openapi":"api-reference/openapi/playgrounds/qwen3_6-35b-a3b.openapi.json POST /responses","href":"/api-reference/models/qwen3-6-35b-a3b"},{"title":"deepseek-v4.1-flash","sidebarTitle":"deepseek-v4.1-flash","openapi":"api-reference/openapi/playgrounds/deepseek-v4_1-flash.openapi.json POST /responses","href":"/api-reference/models/deepseek-v4-1-flash"},{"title":"glm-5.3-flash","sidebarTitle":"glm-5.3-flash","openapi":"api-reference/openapi/playgrounds/glm-5_3-flash.openapi.json POST /responses","href":"/api-reference/models/glm-5-3-flash"},{"title":"gpt-5.4-nano","sidebarTitle":"gpt-5.4-nano","openapi":"api-reference/openapi/playgrounds/gpt-5_4-nano.openapi.json POST /responses","href":"/api-reference/models/gpt-5-4-nano"},{"title":"gpt-5.6-luna","sidebarTitle":"gpt-5.6-luna","openapi":"api-reference/openapi/playgrounds/gpt-5_6-luna.openapi.json POST /responses","href":"/api-reference/models/gpt-5-6-luna"},{"title":"gpt-6-luna","sidebarTitle":"gpt-6-luna","openapi":"api-reference/openapi/playgrounds/gpt-6-luna.openapi.json POST /responses","href":"/api-reference/models/gpt-6-luna"},{"title":"gpt-4.1-mini","sidebarTitle":"gpt-4.1-mini","openapi":"api-reference/openapi/playgrounds/gpt-4_1-mini.openapi.json POST /responses","href":"/api-reference/models/gpt-4-1-mini"},{"title":"deberta-v3-small","sidebarTitle":"deberta-v3-small","openapi":"api-reference/openapi/playgrounds/deberta-v3-small.openapi.json POST /responses","href":"/api-reference/models/deberta-v3-small"},{"title":"gliner2.5-base-v1","sidebarTitle":"gliner2.5-base-v1","openapi":"api-reference/openapi/playgrounds/gliner2_5-base-v1.openapi.json POST /responses","href":"/api-reference/models/gliner2-5-base-v1"},{"title":"gliner2.5-multi-v1","sidebarTitle":"gliner2.5-multi-v1","openapi":"api-reference/openapi/playgrounds/gliner2_5-multi-v1.openapi.json POST /responses","href":"/api-reference/models/gliner2-5-multi-v1"},{"title":"gliner2.5-decide-v1","sidebarTitle":"gliner2.5-decide-v1","openapi":"api-reference/openapi/playgrounds/gliner2_5-decide-v1.openapi.json POST /responses","href":"/api-reference/models/gliner2-5-decide-v1"},{"title":"LFM2.5-1.2B-Instruct","sidebarTitle":"LFM2.5-1.2B-Instruct","openapi":"api-reference/openapi/playgrounds/LFM2_5-1_2B-Instruct.openapi.json POST /responses","href":"/api-reference/models/lfm2-5-1-2b-instruct"},{"title":"LFM2.5-1.2B-Thinking","sidebarTitle":"LFM2.5-1.2B-Thinking","openapi":"api-reference/openapi/playgrounds/LFM2_5-1_2B-Thinking.openapi.json POST /responses","href":"/api-reference/models/lfm2-5-1-2b-thinking"},{"title":"llama-3.1-8b-instruct-fast","sidebarTitle":"llama-3.1-8b-instruct-fast","openapi":"api-reference/openapi/playgrounds/llama-3_1-8b-instruct-fast.openapi.json POST /chat/completions","href":"/api-reference/models/llama-3-1-8b-instruct-fast"},{"title":"llama-3.2-3b-instruct-fast","sidebarTitle":"llama-3.2-3b-instruct-fast","description":"Model details for llama-3.2-3b-instruct-fast. Low-cost summarization on edge GPUs with a 131,072-token context window.","openapi":"api-reference/openapi/playgrounds/llama-3_2-3b-instruct-fast.openapi.json POST /chat/completions","href":"/api-reference/models/llama-3-2-3b-instruct-fast"},{"title":"llama-guard-4-12b","sidebarTitle":"llama-guard-4-12b","openapi":"api-reference/openapi/playgrounds/llama-guard-4-12b.openapi.json POST /moderations","href":"/api-reference/models/llama-guard-4-12b"},{"title":"zlm-v1-iab-classify-edge","sidebarTitle":"zlm-v1-iab-classify-edge","description":"Model details for zlm-v1-iab-classify-edge. Supports 50+ languages.","openapi":"api-reference/openapi/playgrounds/zlm-v1-iab-classify-edge.openapi.json POST /responses","href":"/api-reference/models/zlm-v1-iab-classify-edge"},{"title":"zlm-v2-iab-classify-edge-enriched","sidebarTitle":"zlm-v2-iab-classify-edge-enriched","openapi":"api-reference/openapi/playgrounds/zlm-v2-iab-classify-edge-enriched.openapi.json POST /responses","href":"/api-reference/models/zlm-v2-iab-classify-edge-enriched"},{"title":"zlm-v1-iab-domain-classifier","sidebarTitle":"zlm-v1-iab-domain-classifier","openapi":"api-reference/openapi/playgrounds/zlm-v1-iab-domain-classifier.openapi.json POST /responses","href":"/api-reference/models/zlm-v1-iab-domain-classifier"},{"title":"zlm-v1-signal-extract","sidebarTitle":"zlm-v1-signal-extract","openapi":"api-reference/openapi/playgrounds/zlm-v1-signal-extract.openapi.json POST /responses","href":"/api-reference/models/zlm-v1-signal-extract"},{"title":"zlm-v1-moderation-edge","sidebarTitle":"zlm-v1-moderation-edge","openapi":"api-reference/openapi/playgrounds/zlm-v1-moderation-edge.openapi.json POST /moderations","href":"/api-reference/models/zlm-v1-moderation-edge"},{"title":"zlm-v1-tool-decisions","sidebarTitle":"zlm-v1-tool-decisions","openapi":"api-reference/openapi/playgrounds/zlm-v1-tool-decisions.openapi.json POST /responses","href":"/api-reference/models/zlm-v1-tool-decisions"},{"title":"all-minilm-l6-v2","sidebarTitle":"all-minilm-l6-v2","openapi":"api-reference/openapi/playgrounds/all-minilm-l6-v2.openapi.json POST /embeddings","href":"/api-reference/models/all-minilm-l6-v2"},{"title":"bge-small-en-v1.5","sidebarTitle":"bge-small-en-v1.5","openapi":"api-reference/openapi/playgrounds/bge-small-en-v1_5.openapi.json POST /embeddings","href":"/api-reference/models/bge-small-en-v1-5"},{"title":"whisper-tiny","sidebarTitle":"whisper-tiny","openapi":"api-reference/openapi/playgrounds/whisper-tiny.openapi.json POST /audio/transcriptions","href":"/api-reference/models/whisper-tiny"},{"title":"chatterbox-nano","sidebarTitle":"chatterbox-nano","openapi":"api-reference/openapi/playgrounds/chatterbox-nano.openapi.json POST /audio/speech","href":"/api-reference/models/chatterbox-nano"}]}]},{"group":"Audio Models","pages":[{"title":"Transcriptions","sidebarTitle":"Transcriptions","openapi":"api-reference/openapi/zerogpu.openapi.json POST /audio/transcriptions","href":"/api-reference/audio-transcriptions"},{"title":"Speech","sidebarTitle":"Speech","openapi":"api-reference/openapi/zerogpu.openapi.json POST /audio/speech","href":"/api-reference/audio-speech"}]},{"group":"ZeroClick","pages":[{"title":"Responses (ZeroClick)","sidebarTitle":"Responses","openapi":"api-reference/openapi/zeroclick.openapi.json POST /zeroclick/v1/responses","href":"/api-reference/zeroclick-responses"},{"title":"Chat completions (ZeroClick)","sidebarTitle":"Chat completions","openapi":"api-reference/openapi/zeroclick.openapi.json POST /zeroclick/v1/chat/completions","href":"/api-reference/zeroclick-chat-completions"},{"title":"Moderations (ZeroClick)","sidebarTitle":"Moderations","openapi":"api-reference/openapi/zeroclick.openapi.json POST /zeroclick/v1/moderations","href":"/api-reference/zeroclick-moderations"},{"title":"Embeddings (ZeroClick)","sidebarTitle":"Embeddings","openapi":"api-reference/openapi/zeroclick.openapi.json POST /zeroclick/v1/embeddings","href":"/api-reference/zeroclick-embeddings"},{"title":"Transcriptions (ZeroClick)","sidebarTitle":"Transcriptions","openapi":"api-reference/openapi/zeroclick.openapi.json POST /zeroclick/v1/audio/transcriptions","href":"/api-reference/zeroclick-audio-transcriptions"},{"title":"Translations (ZeroClick)","sidebarTitle":"Translations","openapi":"api-reference/openapi/zeroclick.openapi.json POST /zeroclick/v1/audio/translations","href":"/api-reference/zeroclick-audio-translations"},{"title":"Speech (ZeroClick)","sidebarTitle":"Speech","openapi":"api-reference/openapi/zeroclick.openapi.json POST /zeroclick/v1/audio/speech","href":"/api-reference/zeroclick-audio-speech"}]},{"group":"Batch API","pages":[{"title":"Upload file","openapi":"api-reference/openapi/batch.openapi.json POST /v1/files","href":"/api-reference/upload-file"},{"title":"List files","openapi":"api-reference/openapi/batch.openapi.json GET /v1/files","href":"/api-reference/list-files"},{"title":"Retrieve file","openapi":"api-reference/openapi/batch.openapi.json GET /v1/files/{file_id}","href":"/api-reference/retrieve-file"},{"title":"Download file","openapi":"api-reference/openapi/batch.openapi.json GET /v1/files/{file_id}/content","href":"/api-reference/download-file"},{"title":"Delete file","openapi":"api-reference/openapi/batch.openapi.json DELETE /v1/files/{file_id}","href":"/api-reference/delete-file"},{"title":"Create batch","openapi":"api-reference/openapi/batch.openapi.json POST /v1/batches","href":"/api-reference/create-batch"},{"title":"Retrieve batch","openapi":"api-reference/openapi/batch.openapi.json GET /v1/batches/{batch_id}","href":"/api-reference/retrieve-batch"},{"title":"List batches","openapi":"api-reference/openapi/batch.openapi.json GET /v1/batches","href":"/api-reference/list-batches"},{"title":"Cancel batch","openapi":"api-reference/openapi/batch.openapi.json POST /v1/batches/{batch_id}/cancel","href":"/api-reference/cancel-batch"}]}]},{"tab":"Cookbook","pages":[{"title":"Cookbook","href":"/cookbook"}]}]},"basePath":"","title":"llama-guard-4-12b - ZeroGPU","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}